// 计费详单
<template>
  <div class="steel_inbound">
    <div class="sache">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <div class="table">
      <el-tabs v-model="activeName">
        <!-- 未结算 -->
        <el-tab-pane label="未结算" name="first">
        <dilTable v-bind.sync="options1">
        </dilTable>
        </el-tab-pane>
        <!-- 已结算 -->
        <el-tab-pane label="已结算" name="second">
        <dilTable v-bind.sync="options2">
        </dilTable>
        </el-tab-pane>
      </el-tabs>
    </div>

  </div>
</template>

<script>
import { getCookie } from "@/utils/util.js";
export default {
  data(){
    return{
      //单价
      Fee:null,
      //加载
      selectLineLoading:false,
      input:"",
      activeName:"first",
      ssoId:null,
      //详单Id
      detailsId:null,
      options1:{
        // first请求数据的地址
        requestUrl: "",
      },
      options2:{
        // second请求数据的地址
        requestUrl: "",
      },
      //是否打开修改详单地址弹出框
      dialogFormVisible:false,
      //原详单单价
      originalPriceValue:null,
      //新详单单价
      newPriceValue:null,
      //原详单地址
      originalAddress:null,
      //新详单地址
      newAddress:null,
      //新单价Id
      priceId:null,
      //是否打开运输单价的模态框
      addressDrawer:false,
      //运输单价的表格
      Address: {
        requestUrl: "/api/v1/ams/getAddressDeliveryAddress?apiId=255",
        selectionType: "radio",
      },
      // addressText:null,
      //缓存当前选中的运输单价
      priceMap:{},
      formLabelWidth: '125px'
    }
  },
  created(){
     this.options1GetRequestUrl();
     this.options2GetRequestUrl();
  },
  methods:{
    //未结算数据
    options1GetRequestUrl(){
    if(getCookie("orgCode") == "chengyunshang"){
      this.ssoId=getCookie('userId');
      this.options1.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=0&carrierSsoId="+ getCookie('userId');
    }else if(getCookie("orgCode") == "dagangadmin"||getCookie("orgCode")=="zidonghuabu"||getCookie("orgCode")=="wuliuchuyunzhongxin"){
      this.options1.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=0"
    }else{
      this.options1.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=0&userId=" + getCookie("orgCode");  
    }
    },
    //已结算数据
    options2GetRequestUrl(){
     if(getCookie("orgCode") == "chengyunshang"){
      this.ssoId=getCookie('userId');
      this.options2.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=1&carrierSsoId="+ getCookie('userId');
    }else if(getCookie("orgCode") == "dagangadmin"||getCookie("orgCode")=="zidonghuabu"||getCookie("orgCode")=="wuliuchuyunzhongxin"){
      this.options2.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=1"
    }else{
      this.options2.requestUrl = "/api/v1/bms/getInwardWeightDetailsOrder?apiId=461&orderType=11&detailStatus=1&userId=" + getCookie("orgCode");  
    }
    },
     toInsert() {
      this.$router.push("/insertCheckInventory");
    },

    onclick(){
      console.log("查询待定值")
      // this.options.requestUrl = "/api/v1/bms/getTruckDetailsOrderList?apiId=176&orderType=1&con="+this.input;
    },
    //运输订单点击浏览的事件
    select(){
      this.addressDrawer = true;
    },
    //运输单价模态窗口的框计算
    selectAddressClick(){
      this.Price.requestUrl = '/api/v1/ams/getAddressDeliveryAddress?apiId=255&con='+this.addressText;
    },
   
  }
}
</script>

<style lang="scss" scode>
.steel_inbound{
  .sache{
    padding: 1.25rem 0.375rem;
			.el-input {
			width: 20%;
			margin-right: 1.25rem;
			}
  }
}
</style>